karaf-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jbono...@apache.org
Subject [karaf] branch karaf-4.2.x updated: [KARAF-6199] Upgrade to Hibernate 5.4.2.Final to support Java 11
Date Mon, 15 Apr 2019 05:25:24 GMT
This is an automated email from the ASF dual-hosted git repository.

jbonofre pushed a commit to branch karaf-4.2.x
in repository https://gitbox.apache.org/repos/asf/karaf.git


The following commit(s) were added to refs/heads/karaf-4.2.x by this push:
     new a8ea206  [KARAF-6199] Upgrade to Hibernate 5.4.2.Final to support Java 11
a8ea206 is described below

commit a8ea2061801a893deae7fa0386404752f31b4b55
Author: Jean-Baptiste Onofré <jbonofre@apache.org>
AuthorDate: Thu Apr 11 16:38:09 2019 +0200

    [KARAF-6199] Upgrade to Hibernate 5.4.2.Final to support Java 11
---
 .../enterprise-legacy/src/main/feature/feature.xml | 10 +++++++++
 .../enterprise/src/main/feature/feature.xml        | 25 +++++++++++++++++++---
 pom.xml                                            |  3 ++-
 3 files changed, 34 insertions(+), 4 deletions(-)

diff --git a/assemblies/features/enterprise-legacy/src/main/feature/feature.xml b/assemblies/features/enterprise-legacy/src/main/feature/feature.xml
index 58fe37d..60792d5 100644
--- a/assemblies/features/enterprise-legacy/src/main/feature/feature.xml
+++ b/assemblies/features/enterprise-legacy/src/main/feature/feature.xml
@@ -22,6 +22,7 @@
 
     <repository>mvn:org.apache.karaf.features/standard/${project.version}/xml/features</repository>
     <repository>mvn:org.apache.karaf.features/enterprise/${project.version}/xml/features</repository>
+    <repository>mvn:org.hibernate/hibernate-osgi/${hibernate52.version}/xml/karaf</repository>
 
     <feature name="transaction-api" version="1.1.0">
         <bundle>mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/${geronimo.jta-spec.version}</bundle>
@@ -168,4 +169,13 @@
         <bundle>mvn:org.hibernate/hibernate-envers/${hibernate43.version}</bundle>
     </feature>
 
+    <feature name="hibernate" description="Hibernate JPA engine support" version="${hibernate52.version}">
+        <feature prerequisite="true">wrap</feature>
+        <feature version="${hibernate52.version}">hibernate-orm</feature>
+        <bundle dependency="true">mvn:net.bytebuddy/byte-buddy/1.6.6</bundle>
+        <capability>
+            osgi.service;objectClass=javax.persistence.spi.PersistenceProvider;effective:=active;javax.persistence.provider=org.hibernate.jpa.HibernatePersistenceProvider
+        </capability>
+    </feature>
+
 </features>
diff --git a/assemblies/features/enterprise/src/main/feature/feature.xml b/assemblies/features/enterprise/src/main/feature/feature.xml
index 60e7066..ef23049 100644
--- a/assemblies/features/enterprise/src/main/feature/feature.xml
+++ b/assemblies/features/enterprise/src/main/feature/feature.xml
@@ -21,7 +21,7 @@
     <!-- NB: this file is not the one really used. This file is used by the karaf-maven-plugin
to define the start-level of bundles in the generated feature.xml -->
 
     <repository>mvn:org.hibernate.validator/hibernate-validator-osgi-karaf-features/${hibernate.validator.version}/xml/features</repository>
-    <repository>mvn:org.hibernate/hibernate-osgi/${hibernate.version}/xml/karaf</repository>
+    <!-- <repository>mvn:org.hibernate/hibernate-osgi/${hibernate.version}/xml/karaf</repository>
-->
     <repository>mvn:org.ops4j.pax.cdi/pax-cdi-features/${pax.cdi.version}/xml/features</repository>
     <repository>mvn:org.ops4j.pax.jdbc/pax-jdbc-features/${pax.jdbc.version}/xml/features</repository>
     <repository>mvn:org.ops4j.pax.jms/pax-jms-features/${pax.jms.version}/xml/features</repository>
@@ -170,14 +170,33 @@ com.atomikos.icatch.log_base_dir=${karaf.data}/atomikos
     </feature>
 
     <feature name="hibernate" description="Hibernate JPA engine support" version="${hibernate.version}">
+        <!-- hibernate-orm feature installs osgi.core and osgi.compendium bundle (it should
not), causing huge refresh -->
         <feature prerequisite="true">wrap</feature>
-        <feature version="${hibernate.version}">hibernate-orm</feature>
-        <bundle dependency="true">mvn:net.bytebuddy/byte-buddy/1.6.6</bundle>
+        <feature>transaction-api</feature>
+        <feature>aries-blueprint</feature>
+        <bundle>mvn:org.jboss.logging/jboss-logging/3.3.2.Final</bundle>
+        <bundle>wrap:mvn:antlr/antlr/2.7.7</bundle>
+        <bundle>mvn:javax.persistence/javax.persistence-api/2.2</bundle>
+        <bundle>mvn:org.javassist/javassist/3.24.0-GA</bundle>
+        <bundle>mvn:net.bytebuddy/byte-buddy/1.9.10</bundle>
+        <bundle>mvn:org.jboss.spec.javax.transaction/jboss-transaction-api_1.2_spec/1.1.1.Final</bundle>
+        <bundle>mvn:org.jboss/jandex/2.0.5.Final</bundle>
+        <bundle>mvn:com.fasterxml/classmate/1.3.4</bundle>
+        <bundle>wrap:mvn:org.dom4j/dom4j/2.1.1</bundle>
+        <bundle>mvn:org.hibernate.common/hibernate-commons-annotations/5.1.0.Final</bundle>
+        <bundle>mvn:org.hibernate/hibernate-core/5.4.2.Final</bundle>
+        <bundle>mvn:javax.interceptor/javax.interceptor-api/1.2</bundle>
+        <bundle>mvn:org.hibernate/hibernate-osgi/5.4.2.Final</bundle>
         <capability>
             osgi.service;objectClass=javax.persistence.spi.PersistenceProvider;effective:=active;javax.persistence.provider=org.hibernate.jpa.HibernatePersistenceProvider
         </capability>
     </feature>
 
+    <feature name="hibernate-envers" version="${hibernate.version}" description="Feature
for easily adding Envers support to hibernate">
+        <feature version="${hibernate.version}">hibernate</feature>
+        <bundle>mvn:org.hibernate/hibernate-envers/${hibernate.version}</bundle>
+    </feature>
+
     <feature name="eclipselink" description="Eclipselink JPA persistence engine support"
version="${eclipselink.version}">
         <details>Eclipselink persistence engine.</details>
         <feature version="[2,3)">jpa</feature>
diff --git a/pom.xml b/pom.xml
index 8892d39..7095bac 100644
--- a/pom.xml
+++ b/pom.xml
@@ -262,7 +262,8 @@
         <hibernate3.version>3.3.2.GA</hibernate3.version>
         <hibernate42.version>4.2.15.Final</hibernate42.version>
         <hibernate43.version>4.3.6.Final</hibernate43.version>
-        <hibernate.version>5.2.17.Final</hibernate.version>
+        <hibernate52.version>5.2.17.Final</hibernate52.version>
+        <hibernate.version>5.4.2.Final</hibernate.version>
         <hibernate.validator.version>6.0.16.Final</hibernate.validator.version>
         <httpclient.version>4.5.6</httpclient.version>
         <jansi.version>1.17.1</jansi.version>


Mime
View raw message